Subject: bug#25508: closed (Re: bug#25304: Libtool’sltmain.sh still contains a /gnu/store shebang)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Nov 2020 16:18:02 +0000

Your bug report

#25304: Git hook shebangs should not be rewritten

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25304: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25304
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25304: Libtool’s ltmain.sh still contains a /gnu/store shebang
From: Miguel Ángel Arruga Vivas <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Nov 2020 17:17:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Ludovic Courtès <[email-masked]> writes:
> Hi!
>
> Miguel Ángel Arruga Vivas <[email-masked]> skribis:
>
>> I was looking through the lists because I have a patch that does exactly
>> what you describe here.  I guess this goes to core updates, so this
>> version is on top of it.  WDYT?
>
> Yes, looks like a change for ‘core-updates’.
>
>> From 145273418d3131bcf3b73d416d19f641645cf3f8 Mon Sep 17 00:00:00 2001
>> From: =?UTF-8?q?Miguel=20=C3=81ngel=20Arruga=20Vivas?=
>>  <[email-masked]>
>> Date: Fri, 13 Nov 2020 15:24:46 +0100
>> Subject: [PATCH] gnu: libtool: Restore shebangs on all libtoolize files.
>
> You can add “Fixes <https://bugs.gnu.org/25304>.”
>
>> * gnu/packages/autotools.scm (libtool)[restore-build-aux-shebang]: New
>> phase after install.
>> [restore-ltmain-shebang]: Remove phase, it is now performed by the phase
>> restore-build-aux-shebang.
>
> LGTM, thanks for digging through old bugs!
>
> Ludo’.

Pushed as 8d263ff254292c9e13a9848f90b52263da52d570 to core-updates with
that line added.  Thanks for the quick review.  :-)

Happy hacking!
Miguel

Subject: Git hook shebangs should not be rewritten
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: John Darrington <[email-masked]>
Date: Sun, 22 Jan 2017 18:25:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

----- Forwarded message from John Darrington <[email-masked]> -----

Date: Sun, 22 Jan 2017 14:01:24 +0100
From: John Darrington <[email-masked]>
To: [email-masked]
Subject: Not patching shebang in git hook samples ?
User-Agent: Mutt/1.5.23 (2014-03-12)

The git package ships with a number of sample hook files.  These are shell scripts and
therefore the #!/bin/sh line gets substituted at  build time.

However these files get installed into every git repostory that is created, and users
are invited to use them as templates for their own hooks.

This will be fine until both git and bash are updated.  Now the original bash is free
to be garbage collected.  If that happens, the path: 
#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
will no longer exist.

I suggest what we turn off the shebang patching for the files in share/templates for git.

J'

-- 
Avoid eavesdropping.  Send strong encrypted email.
PGP Public key ID: 1024D/2DE827B3 
fingerprint = 8797 A26D 0854 2EAB 0285  A290 8A67 719C 2DE8 27B3
See http://sks-keyservers.net or any PGP keyserver for public key.

----- End forwarded message -----